package com.xkrs.dao;

import com.xkrs.model.entity.FilePath;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

/**
 * @author XinYi Song
 */
public interface FilePathDao extends JpaRepository<FilePath,Long> {

    /**
     * 查询全部路径
     * @return
     */
    @Query(value = "select file_path filepath from file_path",nativeQuery = true)
    List<Map<String,String>> findPath();
}
